import { DbApi, DbStructure } from '../types.js';
declare const bbnDbProxy: {
    ok: boolean;
    open(database: string, version?: number): Promise<DbApi>;
    add(database: string, name: string, structure: DbStructure): Promise<boolean>;
    remove(database: string, name: string): Promise<void>;
    importStructure(database: string, structure: Record<string, DbStructure>): Promise<void>;
    close(database: string): Promise<void>;
};
export default bbnDbProxy;
